NewStart CGSL CORE 5.04 / MAIN 5.04 : xterm 漏洞 (NS-SA-2021-0107)

critical Nessus 插件 ID 154573

语言:

简介

远程 NewStart CGSL 主机受到一个漏洞影响。

描述

运行 CORE 5.04 / MAIN 5.04 版本的远程 NewStart CGSL 主机上安装的 xterm 程序包受到一个漏洞影响:

- xterm Patch #366 之前的版本允许远程攻击者执行任意代码,或通过构建的 UTF-8 合并字符序列造成拒绝服务。(CVE-2021-27135)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级易受攻击的 CGSL xterm 程序包。请注意,更新后的程序包尚未发布。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2021-0107

http://security.gd-linux.com/info/CVE-2021-27135

插件详情

严重性: Critical

ID: 154573

文件名: newstart_cgsl_NS-SA-2021-0107_xterm.nasl

版本: 1.2

类型: local

发布时间: 2021/10/27

最近更新时间: 2021/10/27

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-27135

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 8.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:zte:cgsl_core:xterm, p-cpe:/a:zte:cgsl_core:xterm-debuginfo, p-cpe:/a:zte:cgsl_main:xterm, p-cpe:/a:zte:cgsl_main:xterm-debuginfo, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/9/24

漏洞发布日期: 2021/2/10

参考资料信息

CVE: CVE-2021-27135